### Method

# RB AsyncCopy start

#### Declaration [src]

    void
    rb_async_copy_start (
      RBAsyncCopy* copy,
      const char* src,
      const char* dest,
      RBAsyncCopyCallback callback,
      gpointer user_data,
      GDestroyNotify destroy_data
    )

#### Description [src]

Starts copying `src` to `dest`, calling `callback` on completion or error.

#### Parameters

`src`

  Type: `const char*`

  Source URI.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`dest`

  Type: `const char*`

  Destination URI.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`callback`

  Type: `RBAsyncCopyCallback`

  Completion callback.

`user_data`

  Type: `gpointer`

  Data for completion callback.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`destroy_data`

  Type: `GDestroyNotify`

  Destroy function for user_data.